module learn_ise(clk,rst,pb_clock,pb_data,startup,led0,led1);
  input clk;
  input rst;
  input pb_clock;
  input pb_data;

  output startup;
  output led0;
  output led1;
  
  wire clk;
  wire rst;
  
  wire [9:0] pb_status;
  wire pb_clock;
  wire pb_data;
  wire pb_interrupt;
  wire startup;

  wire internal_rst;
  wire dcm_locked;
  wire clkdv_out;
  wire clkin_ibufg_out;
  wire clk0_out;
  
  wire led0,led1;
  
  assign internal_rst = rst && !dcm_locked;

  led_dcm Inst_led_dcm (
	.RST_IN(rst),
	.CLKIN_IN(clk),
	.LOCKED_OUT(dcm_locked),
	.CLKDV_OUT(clkdv_out),
	.CLKIN_IBUFG_OUT(clkin_ibufg_out),
	.CLK0_OUT(clk0_out));

  assign startup = 1'b1;

  pb_data pb_inst (
    .reset(internal_rst), 
    .PB_CLOCK_P(pb_clock), 
    .PB_DATA_P(pb_data), 
    .pb_status(pb_status),
    .interrupt(pb_interrupt), 
    .startup(startup_dummy)
    );

  led_lookup instance_name (
    .clk0(clk0_out), 
	 .clkdv(clkdv_out),
    .rst(rst), 
	 .dcm_locked(dcm_locked),
    .pb_interrupt(pb_interrupt), 
    .pb_status(pb_status), 
    .led0(led0), 
    .led1(led1)
    );
  
endmodule
