module led_lookup(clk0, clkdv, rst, dcm_locked, pb_interrupt,pb_status,led0,led1);
    input clk0;
	 input clkdv;
    input rst;
    input dcm_locked;
	 input pb_interrupt;
    input [9:0] pb_status;
    output led0;
    output led1;


    wire clk0;
	 wire clkdv;
    wire rst;
    wire dcm_locked;
    wire pb_interrupt;
    wire [9:0] pb_status;
    wire led0;
    wire led1;
    
    wire led0_sig;
    wire led1_sig;

    reg led0_reg, led1_reg;

// Uncomment the line below to get rid of the syntax error
//    reg [9:0] pb_status_reg;
    reg [19:0]led0_ctr;
    reg [19:0]led1_ctr;
    
//    parameter ctr_reset = 18'h7ffff;

    
    led_lookup_ip lookup_inst (
	.addr(pb_status_reg),
	.clk(clk0),
	.dout({led0_sig,led1_sig}));

   always @(posedge clk0)
   begin
     if (rst)
     begin
       led0_reg <= 1'b0;
       led1_reg <= 1'b1;
       pb_status_reg <= 10'h000;
     end
     else begin
       led0_reg <= led0_sig;
       led1_reg <= led1_sig;
       pb_status_reg <= pb_status;
     end
   end

    assign led0 = led0_ctr[18] & led0_reg;
    assign led1 = led1_ctr[18] & led1_reg;

   always @(posedge clkdv)
   begin
     if (rst)
     led0_ctr <= 20'hfffff;
     else if (dcm_locked)
     led0_ctr <= led0_ctr - 1;
   end

   always @(posedge clkdv)
   begin
     if (rst)
     led1_ctr <= 20'hfffff;
     else if (dcm_locked)
     led1_ctr <= led1_ctr - 1;
   end
       
    
endmodule

